What browsers do you support?

We support several modern web browsers, but Acceptd is best optimized in the current versions of Google Chrome, Firefox, and Safari (version 9.0 or higher). Internet Explorer (IE) 11/ Edge are also supported.

Below are links to make sure your browser is the most current version:

Chrome: https://support.google.com/chrome/answer/95414?hl=en

Firefox: https://www.mozilla.org/en-US/firefox/all/

Safari: https://support.apple.com/en-us/HT204416

Internet Explorer (IE): http://windows.microsoft.com/en-us/internet-explorer/download-ie

 

Have more questions? Submit a request

Comments

Powered by Zendesk